package models

import "go-udemy-web-1/internal/forms"

// TemplateData holds data sent from handlers to templates
type TemplateData struct {
	StringMap       map[string]string
	IntMap          map[string]int
	FloatMap        map[string]float32
	Data            map[string]interface{}
	Form            *forms.Form
	CSRFToken       string
	Flash           string
	Warning         string
	Error           string
	IsAuthenticated int
}
